Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt Class Reference

## Classes
struct | BLOB
struct | CERT_ID
struct | CERT_NAME_BLOB
struct | CMSG_SIGNER_INFO
struct | CRYPT_ALGORITHM_IDENTIFIER
struct | CRYPT_ATTR_BLOB
struct | CRYPT_ATTRIBUTE
struct | CRYPT_INTEGER_BLOB
struct | SIGNER_SUBJECT_INFO
struct | SubjectChoiceUnion

## Public Member Functions
static Boolean | CryptQueryObject (int dwObjectType, IntPtr pvObject, int dwExpectedContentTypeFlags, int dwExpectedFormatTypeFlags, int dwFlags, out int pdwMsgAndCertEncodingType, out int pdwContentType, out int pdwFormatType, ref IntPtr phCertStore, ref IntPtr phMsg, ref IntPtr ppvContext)
static Boolean | CryptMsgGetParam (IntPtr hCryptMsg, int dwParamType, int dwIndex, IntPtr pvData, ref int pcbData)
static Boolean | CryptMsgGetParam (IntPtr hCryptMsg, int dwParamType, int dwIndex, [In, Out] byte[] vData, ref int pcbData)
static bool | CryptDecodeObject (uint CertEncodingType, UIntPtr lpszStructType, byte[] pbEncoded, uint cbEncoded, uint flags, [In, Out] byte[] pvStructInfo, ref uint cbStructInfo)

## Static Public Attributes
const int | CRYPT_ASN_ENCODING = 0x00000001
const int | CRYPT_NDR_ENCODING = 0x00000002
const int | X509_ASN_ENCODING = 0x00000001
const int | X509_NDR_ENCODING = 0x00000002
const int | PKCS_7_ASN_ENCODING = 0x00010000
const int | PKCS_7_NDR_ENCODING = 0x00020000
static UIntPtr | PKCS7_SIGNER_INFO = new UIntPtr(500)
static UIntPtr | CMS_SIGNER_INFO = new UIntPtr(501)
static string | szOID_RSA_signingTime = "1.2.840.113549.1.9.5"
static string | szOID_RSA_counterSign = "1.2.840.113549.1.9.6"
static string | szOID_RSA_friendlyName = "1.2.840.113549.1.9.20"
const int | CMSG_TYPE_PARAM = 1
const int | CMSG_CONTENT_PARAM = 2
const int | CMSG_BARE_CONTENT_PARAM = 3
const int | CMSG_INNER_CONTENT_TYPE_PARAM = 4
const int | CMSG_SIGNER_COUNT_PARAM = 5
const int | CMSG_SIGNER_INFO_PARAM = 6
const int | CMSG_SIGNER_CERT_INFO_PARAM = 7
const int | CMSG_SIGNER_HASH_ALGORITHM_PARAM = 8
const int | CMSG_SIGNER_AUTH_ATTR_PARAM = 9
const int | CMSG_SIGNER_UNAUTH_ATTR_PARAM = 10
const int | CMSG_CERT_COUNT_PARAM = 11
const int | CMSG_CERT_PARAM = 12
const int | CMSG_CRL_COUNT_PARAM = 13
const int | CMSG_CRL_PARAM = 14
const int | CMSG_ENVELOPE_ALGORITHM_PARAM = 15
const int | CMSG_RECIPIENT_COUNT_PARAM = 17
const int | CMSG_RECIPIENT_INDEX_PARAM = 18
const int | CMSG_RECIPIENT_INFO_PARAM = 19
const int | CMSG_HASH_ALGORITHM_PARAM = 20
const int | CMSG_HASH_DATA_PARAM = 21
const int | CMSG_COMPUTED_HASH_PARAM = 22
const int | CMSG_ENCRYPT_PARAM = 26
const int | CMSG_ENCRYPTED_DIGEST = 27
const int | CMSG_ENCODED_SIGNER = 28
const int | CMSG_ENCODED_MESSAGE = 29
const int | CMSG_VERSION_PARAM = 30
const int | CMSG_ATTR_CERT_COUNT_PARAM = 31
const int | CMSG_ATTR_CERT_PARAM = 32
const int | CMSG_CMS_RECIPIENT_COUNT_PARAM = 33
const int | CMSG_CMS_RECIPIENT_INDEX_PARAM = 34
const int | CMSG_CMS_RECIPIENT_ENCRYPTED_KEY_INDEX_PARAM = 35
const int | CMSG_CMS_RECIPIENT_INFO_PARAM = 36
const int | CMSG_UNPROTECTED_ATTR_PARAM = 37
const int | CMSG_SIGNER_CERT_ID_PARAM = 38
const int | CMSG_CMS_SIGNER_INFO_PARAM = 39
const int | CERT_QUERY_OBJECT_FILE = 0x00000001
const int | CERT_QUERY_OBJECT_BLOB = 0x00000002
const int | CERT_QUERY_CONTENT_CERT = 1
const int | CERT_QUERY_CONTENT_CTL = 2
const int | CERT_QUERY_CONTENT_CRL = 3
const int | CERT_QUERY_CONTENT_SERIALIZED_STORE = 4
const int | CERT_QUERY_CONTENT_SERIALIZED_CERT = 5
const int | CERT_QUERY_CONTENT_SERIALIZED_CTL = 6
const int | CERT_QUERY_CONTENT_SERIALIZED_CRL = 7
const int | CERT_QUERY_CONTENT_PKCS7_SIGNED = 8
const int | CERT_QUERY_CONTENT_PKCS7_UNSIGNED = 9
const int | CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED = 10
const int | CERT_QUERY_CONTENT_PKCS10 = 11
const int | CERT_QUERY_CONTENT_PFX = 12
const int | CERT_QUERY_CONTENT_CERT_PAIR = 13
const int | CERT_QUERY_CONTENT_FLAG_CERT = (1 << CERT_QUERY_CONTENT_CERT)
const int | CERT_QUERY_CONTENT_FLAG_CTL = (1 << CERT_QUERY_CONTENT_CTL)
const int | CERT_QUERY_CONTENT_FLAG_CRL = (1 << CERT_QUERY_CONTENT_CRL)
const int | CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE = (1 << CERT_QUERY_CONTENT_SERIALIZED_STORE)
const int | CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT = (1 << CERT_QUERY_CONTENT_SERIALIZED_CERT)
const int | CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL = (1 << CERT_QUERY_CONTENT_SERIALIZED_CTL)
const int | CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL = (1 << CERT_QUERY_CONTENT_SERIALIZED_CRL)
const int | CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED = (1 << CERT_QUERY_CONTENT_PKCS7_SIGNED)
const int | CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED = (1 << CERT_QUERY_CONTENT_PKCS7_UNSIGNED)
const int | CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED = (1 << CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED)
const int | CERT_QUERY_CONTENT_FLAG_PKCS10 = (1 << CERT_QUERY_CONTENT_PKCS10)
const int | CERT_QUERY_CONTENT_FLAG_PFX = (1 << CERT_QUERY_CONTENT_PFX)
const int | CERT_QUERY_CONTENT_FLAG_CERT_PAIR = (1 << CERT_QUERY_CONTENT_CERT_PAIR)
const int | CERT_QUERY_CONTENT_FLAG_ALL
const int | CERT_QUERY_FORMAT_BINARY = 1
const int | CERT_QUERY_FORMAT_BASE64_ENCODED = 2
const int | CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED = 3
const int | CERT_QUERY_FORMAT_FLAG_BINARY = (1 << CERT_QUERY_FORMAT_BINARY)
const int | CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED = (1 << CERT_QUERY_FORMAT_BASE64_ENCODED)
const int | CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED
const int | CERT_QUERY_FORMAT_FLAG_ALL

## Member Function Documentation

## ◆ CryptDecodeObject()

bool Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CryptDecodeObject | ( | uint | CertEncodingType,
|  | UIntPtr | lpszStructType,
|  | byte[] | pbEncoded,
|  | uint | cbEncoded,
|  | uint | flags,
|  | [In, Out] byte[] | pvStructInfo,
|  | ref uint | cbStructInfo )

## ◆ CryptMsgGetParam() [1/2]

Boolean Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CryptMsgGetParam | ( | IntPtr | hCryptMsg,
|  | int | dwParamType,
|  | int | dwIndex,
|  | [In, Out] byte[] | vData,
|  | ref int | pcbData )

## ◆ CryptMsgGetParam() [2/2]

Boolean Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CryptMsgGetParam | ( | IntPtr | hCryptMsg,
|  | int | dwParamType,
|  | int | dwIndex,
|  | IntPtr | pvData,
|  | ref int | pcbData )

Here is the caller graph for this function:

## ◆ CryptQueryObject()

Boolean Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CryptQueryObject | ( | int | dwObjectType,
|  | IntPtr | pvObject,
|  | int | dwExpectedContentTypeFlags,
|  | int | dwExpectedFormatTypeFlags,
|  | int | dwFlags,
|  | out int | pdwMsgAndCertEncodingType,
|  | out int | pdwContentType,
|  | out int | pdwFormatType,
|  | ref IntPtr | phCertStore,
|  | ref IntPtr | phMsg,
|  | ref IntPtr | ppvContext )

Here is the caller graph for this function:

## Member Data Documentation

## ◆ CERT_QUERY_CONTENT_CERT

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_CERT = 1
| static

## ◆ CERT_QUERY_CONTENT_CERT_PAIR

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_CERT_PAIR = 13
| static

## ◆ CERT_QUERY_CONTENT_CRL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_CRL = 3
| static

## ◆ CERT_QUERY_CONTENT_CTL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_CTL = 2
| static

## ◆ CERT_QUERY_CONTENT_FLAG_ALL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_ALL
| static

Initial value:
=
CERT_QUERY_CONTENT_FLAG_CERT |
CERT_QUERY_CONTENT_FLAG_CTL |
CERT_QUERY_CONTENT_FLAG_CRL |
CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE |
CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT |
CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL |
CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL |
CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED |
CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED |
CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED |
CERT_QUERY_CONTENT_FLAG_PKCS10 |
CERT_QUERY_CONTENT_FLAG_PFX |
CERT_QUERY_CONTENT_FLAG_CERT_PAIR
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT
const int CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT
Definition Authenticode.cs:274
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CERT
const int CERT_QUERY_CONTENT_FLAG_CERT
Definition Authenticode.cs:262
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CRL
const int CERT_QUERY_CONTENT_FLAG_CRL
Definition Authenticode.cs:268
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL
const int CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL
Definition Authenticode.cs:277
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED
const int CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED
Definition Authenticode.cs:289
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PFX
const int CERT_QUERY_CONTENT_FLAG_PFX
Definition Authenticode.cs:295
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS10
const int CERT_QUERY_CONTENT_FLAG_PKCS10
Definition Authenticode.cs:292
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CERT_PAIR
const int CERT_QUERY_CONTENT_FLAG_CERT_PAIR
Definition Authenticode.cs:298
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED
const int CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED
Definition Authenticode.cs:283
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED
const int CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED
Definition Authenticode.cs:286
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL
const int CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL
Definition Authenticode.cs:280
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CTL
const int CERT_QUERY_CONTENT_FLAG_CTL
Definition Authenticode.cs:265
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE
const int CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE
Definition Authenticode.cs:271

## ◆ CERT_QUERY_CONTENT_FLAG_CERT

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CERT = (1 << CERT_QUERY_CONTENT_CERT)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_CERT_PAIR

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CERT_PAIR = (1 << CERT_QUERY_CONTENT_CERT_PAIR)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_CRL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CRL = (1 << CERT_QUERY_CONTENT_CRL)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_CTL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_CTL = (1 << CERT_QUERY_CONTENT_CTL)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_PFX

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PFX = (1 << CERT_QUERY_CONTENT_PFX)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_PKCS10

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS10 = (1 << CERT_QUERY_CONTENT_PKCS10)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED = (1 << CERT_QUERY_CONTENT_PKCS7_SIGNED)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS7_SIGNED_EMBED = (1 << CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_PKCS7_UNSIGNED = (1 << CERT_QUERY_CONTENT_PKCS7_UNSIGNED)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_CERT = (1 << CERT_QUERY_CONTENT_SERIALIZED_CERT)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_CRL = (1 << CERT_QUERY_CONTENT_SERIALIZED_CRL)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_CTL = (1 << CERT_QUERY_CONTENT_SERIALIZED_CTL)
| static

## ◆ CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_FLAG_SERIALIZED_STORE = (1 << CERT_QUERY_CONTENT_SERIALIZED_STORE)
| static

## ◆ CERT_QUERY_CONTENT_PFX

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_PFX = 12
| static

## ◆ CERT_QUERY_CONTENT_PKCS10

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_PKCS10 = 11
| static

## ◆ CERT_QUERY_CONTENT_PKCS7_SIGNED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_PKCS7_SIGNED = 8
| static

## ◆ CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_PKCS7_SIGNED_EMBED = 10
| static

## ◆ CERT_QUERY_CONTENT_PKCS7_UNSIGNED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_PKCS7_UNSIGNED = 9
| static

## ◆ CERT_QUERY_CONTENT_SERIALIZED_CERT

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_SERIALIZED_CERT = 5
| static

## ◆ CERT_QUERY_CONTENT_SERIALIZED_CRL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_SERIALIZED_CRL = 7
| static

## ◆ CERT_QUERY_CONTENT_SERIALIZED_CTL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_SERIALIZED_CTL = 6
| static

## ◆ CERT_QUERY_CONTENT_SERIALIZED_STORE

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_CONTENT_SERIALIZED_STORE = 4
| static

## ◆ CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED = 3
| static

## ◆ CERT_QUERY_FORMAT_BASE64_ENCODED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_BASE64_ENCODED = 2
| static

## ◆ CERT_QUERY_FORMAT_BINARY

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_BINARY = 1
| static

## ◆ CERT_QUERY_FORMAT_FLAG_ALL

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_FLAG_ALL
| static

Initial value:
=
CERT_QUERY_FORMAT_FLAG_BINARY |
CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED |
CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_FLAG_BINARY
const int CERT_QUERY_FORMAT_FLAG_BINARY
Definition Authenticode.cs:332
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED
const int CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED
Definition Authenticode.cs:338
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED
const int CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED
Definition Authenticode.cs:335

## ◆ CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_FLAG_ASN_ASCII_HEX_ENCODED
| static

Initial value:
=
(1 << CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED)
Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED
const int CERT_QUERY_FORMAT_ASN_ASCII_HEX_ENCODED
Definition Authenticode.cs:326

## ◆ CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_FLAG_BASE64_ENCODED = (1 << CERT_QUERY_FORMAT_BASE64_ENCODED)
| static

## ◆ CERT_QUERY_FORMAT_FLAG_BINARY

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_FORMAT_FLAG_BINARY = (1 << CERT_QUERY_FORMAT_BINARY)
| static

## ◆ CERT_QUERY_OBJECT_BLOB

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_OBJECT_BLOB = 0x00000002
| static

## ◆ CERT_QUERY_OBJECT_FILE

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CERT_QUERY_OBJECT_FILE = 0x00000001
| static

## ◆ CMS_SIGNER_INFO

UIntPtr Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMS_SIGNER_INFO = new UIntPtr(501)
| static

## ◆ CMSG_ATTR_CERT_COUNT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_ATTR_CERT_COUNT_PARAM = 31
| static

## ◆ CMSG_ATTR_CERT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_ATTR_CERT_PARAM = 32
| static

## ◆ CMSG_BARE_CONTENT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_BARE_CONTENT_PARAM = 3
| static

## ◆ CMSG_CERT_COUNT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CERT_COUNT_PARAM = 11
| static

## ◆ CMSG_CERT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CERT_PARAM = 12
| static

## ◆ CMSG_CMS_RECIPIENT_COUNT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CMS_RECIPIENT_COUNT_PARAM = 33
| static

## ◆ CMSG_CMS_RECIPIENT_ENCRYPTED_KEY_INDEX_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CMS_RECIPIENT_ENCRYPTED_KEY_INDEX_PARAM = 35
| static

## ◆ CMSG_CMS_RECIPIENT_INDEX_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CMS_RECIPIENT_INDEX_PARAM = 34
| static

## ◆ CMSG_CMS_RECIPIENT_INFO_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CMS_RECIPIENT_INFO_PARAM = 36
| static

## ◆ CMSG_CMS_SIGNER_INFO_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CMS_SIGNER_INFO_PARAM = 39
| static

## ◆ CMSG_COMPUTED_HASH_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_COMPUTED_HASH_PARAM = 22
| static

## ◆ CMSG_CONTENT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CONTENT_PARAM = 2
| static

## ◆ CMSG_CRL_COUNT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CRL_COUNT_PARAM = 13
| static

## ◆ CMSG_CRL_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_CRL_PARAM = 14
| static

## ◆ CMSG_ENCODED_MESSAGE

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_ENCODED_MESSAGE = 29
| static

## ◆ CMSG_ENCODED_SIGNER

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_ENCODED_SIGNER = 28
| static

## ◆ CMSG_ENCRYPT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_ENCRYPT_PARAM = 26
| static

## ◆ CMSG_ENCRYPTED_DIGEST

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_ENCRYPTED_DIGEST = 27
| static

## ◆ CMSG_ENVELOPE_ALGORITHM_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_ENVELOPE_ALGORITHM_PARAM = 15
| static

## ◆ CMSG_HASH_ALGORITHM_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_HASH_ALGORITHM_PARAM = 20
| static

## ◆ CMSG_HASH_DATA_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_HASH_DATA_PARAM = 21
| static

## ◆ CMSG_INNER_CONTENT_TYPE_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_INNER_CONTENT_TYPE_PARAM = 4
| static

## ◆ CMSG_RECIPIENT_COUNT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_RECIPIENT_COUNT_PARAM = 17
| static

## ◆ CMSG_RECIPIENT_INDEX_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_RECIPIENT_INDEX_PARAM = 18
| static

## ◆ CMSG_RECIPIENT_INFO_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_RECIPIENT_INFO_PARAM = 19
| static

## ◆ CMSG_SIGNER_AUTH_ATTR_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_SIGNER_AUTH_ATTR_PARAM = 9
| static

## ◆ CMSG_SIGNER_CERT_ID_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_SIGNER_CERT_ID_PARAM = 38
| static

## ◆ CMSG_SIGNER_CERT_INFO_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_SIGNER_CERT_INFO_PARAM = 7
| static

## ◆ CMSG_SIGNER_COUNT_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_SIGNER_COUNT_PARAM = 5
| static

## ◆ CMSG_SIGNER_HASH_ALGORITHM_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_SIGNER_HASH_ALGORITHM_PARAM = 8
| static

## ◆ CMSG_SIGNER_INFO_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_SIGNER_INFO_PARAM = 6
| static

## ◆ CMSG_SIGNER_UNAUTH_ATTR_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_SIGNER_UNAUTH_ATTR_PARAM = 10
| static

## ◆ CMSG_TYPE_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_TYPE_PARAM = 1
| static

## ◆ CMSG_UNPROTECTED_ATTR_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_UNPROTECTED_ATTR_PARAM = 37
| static

## ◆ CMSG_VERSION_PARAM

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CMSG_VERSION_PARAM = 30
| static

## ◆ CRYPT_ASN_ENCODING

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CRYPT_ASN_ENCODING = 0x00000001
| static

## ◆ CRYPT_NDR_ENCODING

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.CRYPT_NDR_ENCODING = 0x00000002
| static

## ◆ PKCS7_SIGNER_INFO

UIntPtr Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.PKCS7_SIGNER_INFO = new UIntPtr(500)
| static

## ◆ PKCS_7_ASN_ENCODING

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.PKCS_7_ASN_ENCODING = 0x00010000
| static

## ◆ PKCS_7_NDR_ENCODING

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.PKCS_7_NDR_ENCODING = 0x00020000
| static

## ◆ szOID_RSA_counterSign

string Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.szOID_RSA_counterSign = "1.2.840.113549.1.9.6"
| static

## ◆ szOID_RSA_friendlyName

string Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.szOID_RSA_friendlyName = "1.2.840.113549.1.9.20"
| static

## ◆ szOID_RSA_signingTime

string Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.szOID_RSA_signingTime = "1.2.840.113549.1.9.5"
| static

## ◆ X509_ASN_ENCODING

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.X509_ASN_ENCODING = 0x00000001
| static

## ◆ X509_NDR_ENCODING

const int Zwipe.Test.Tools.Helpers.Certificates.Authenticode.WinCrypt.X509_NDR_ENCODING = 0x00000002
| static

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Helpers/Certificates/Authenticode.cs